---
metadata:
  - name: generator
    content: Diplodoc Platform v5.47.3
alternate:
  - https://yandex.com.tr/support/tracker/en/api-ref/issues/get-comments.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/tracker/en/llms.txt

# Getting issue comments

Use this request to get a list of comments on an issue.

<div class="request_example method_get yfm-clipboard">
    <p>GET</p>
    <pre><code>https://api.tracker.yandex.net/v3/issues/&lt;issue_ID>/comments</code></pre>
    <button class="yfm-clipboard-button"><svg width="16" height="16" viewBox="0 0 24 24" class="yfm-clipboard-icon" data-animation="15">
    <path fill="currentColor" d="M19,21H8V7H19M19,5H8A2,2 0 0,0 6,7V21A2,2 0 0,0 8,23H19A2,2 0 0,0 21,21V7A2,2 0 0,0 19,5M16,1H4A2,2 0 0,0 2,3V17H4V3H16V1Z"></path>
    <path stroke="currentColor" fill="transparent" strokewidth="1.5" d="M9.5 13l3 3l5 -5" visibility="hidden">
        <animate id="visibileAnimation-15" attributeName="visibility" from="hidden" to="visible" dur="0.2s" fill="freeze" begin=""></animate>
        <animate id="hideAnimation-15" attributeName="visibility" from="visible" to="hidden" dur="1s" begin="visibileAnimation-15.end+1" fill="freeze"></animate>
    </path>
</svg>
</button>
</div>

<!-- source: en/_assets/style/methods.md -->

<!-- endsource: en/_assets/style/methods.md -->

By default, the request returns only the first page showing 50 comments. If there are more than 50 comments, use [paginated output](#pagination).

## Query format {#query}

Before making a request, [get permission to access the API](https://yandex.com.tr/support/tracker/en/api-ref/access.md).

To get a list of comments, use an HTTP `GET` request:

```json
GET /v3/issues/<issue_ID>/comments
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
```

<!-- source: en/_includes/api/headings.md -->
{% cut "Headers" %}

* `Host`: address of the node that provides the API.

* <!-- source: en/_includes/api/authorization.md -->
  `Authorization`: Authorization token about these formats:

    - `OAuth <OAuth_token>`: For authorization using the OAuth 2.0 protocol. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#about_OAuth)

    - `Bearer <IAM_token>`: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. [Learn more](https://yandex.com.tr/support/tracker/en/api-ref/access.md#iam-token)
  <!-- endsource: en/_includes/api/authorization.md -->


* <!-- source: en/_includes/api/org-id.md -->
  `X-Org-ID` or `X-Cloud-Org-ID`: Organization ID.

  - Use the `X-Org-ID` header if a Tracker organization is linked to Yandex 360 for Business.

  - Use the `X-Cloud-Org-ID` header if a Tracker organization is linked to Yandex Cloud Organization.

  To get the organization ID, go to **Administration** → [**Organizations**](https://tracker.yandex.com/admin/orgs) and copy the value from the **ID** field. {#find-id}
  <!-- endsource: en/_includes/api/org-id.md -->


{% endcut %}
<!-- endsource: en/_includes/api/headings.md -->

<!-- source: en/_includes/api/resource-issue-id.md -->
{% cut "Resource" %}

| Parameter | Description | Data type |
-------- | -------- | ----------
| \<issue_key_or_ID\> | ID or key of the current issue. | String |

{% endcut %}
<!-- endsource: en/_includes/api/resource-issue-id.md -->

{% cut "Request parameters" %}

**Additional parameters**
Parameter | Description | Data type
----- | ----- | -----
expand |  Additional fields to include in the response: <ul><li>`attachments`: Attached files</li><li>`html`: Comment HTML markup</li><li>`all`: All additional fields</li></ul> | String

{% endcut %}

> Request for comments on a single issue:
>
> An HTTP GET method is used.
>
> ```
> GET  https://api.tracker.yandex.net/v3/issues/<issue_key>/comments?expand=all
> ```

## Response format {#answer}

{% list tabs %}

- Request executed successfully


    <!-- source: en/_includes/api/answer-200.md -->
    If the request is successful, the API returns a response with code `200 OK`.
    <!-- endsource: en/_includes/api/answer-200.md -->

    The response body contains a JSON array with information about comments:

    ```json
    [
        {
            "self": "https://api.tracker.yandex.net/v3/issues/JUNE-2/comments/98******",
            "id": 98******,
            "longId" : "5fa15a24ac894475********",
            "text": "Comment **number one.**",
            "textHtml": "<p>Comment <strong>number one.</strong></p>\n",
            "attachments": [{ "self": "https://api.tracker.yandex.net/v3/issues/JUNE-3/attachments/1", "id": "1", "display": "Untitled.png" }],
            "createdBy": {
                "self": "https://api.tracker.yandex.net/v3/users/11********",
                "id": "11********",
                "display": "Ivan Ivanov"
            },
            "updatedBy": {
                "self": "https://api.tracker.yandex.net/v3/users/11********",
                "id": "11********",
                "display": "Ivan Ivanov"
            },
            "createdAt": "2017-06-11T05:11:12.347+0000",
            "updatedAt": "2017-06-11T05:11:12.347+0000",
            "version": 1,
            "type" : "standard",
            "transport" : "internal"
        },
        ...
    ]
    ```

    {% cut "Response parameters" %}

    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Link to the comment object | String |
    | id | Comment ID | Number |
    | longId | ID of the comment in string format | String |
    | text | Text of the comment. | String |
    | textHtml | Comment HTML markup | String |
    | attachments | Attached files | String |
    | [createdBy](#object-fields-createdBy) | Object with information about the author of the comment | Map item |
    | [updatedBy](#object-fields-updatedBy) | Object with information about the last user to have updated the comment | Map item |
    | createdAt | Comment creation date and time in the format: <br/>```YYYY-MM-DDThh:mm:ss.sss±hhmm``` | String |
    | updatedAt | Comment update date and time in the format:<br/>``` YYYY-MM-DDThh:mm:ss.sss±hhmm``` | String |
    | version | Comment version. Each update increases the comment's version number. | Number |
    | type | Comment type:<ul><li>`standard`: Comment sent via the Tracker interface.</li><li>`incoming`: Comment created from an incoming message.</li><li>`outcoming`: Comment created from an outgoing message.</li></ul> | String |
    | transport | Method of adding a comment:<ul><li>`internal`: Via the Tracker interface.</li><li>`email`: Via email.</li></ul> | String |

    `createdBy` **object fields** {#object-fields-createdBy}

    <!-- source: en/_includes/api/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    <!-- endsource: en/_includes/api/user.md -->

    `updatedBy` **object fields** {#object-fields-updatedBy}

    <!-- source: en/_includes/api/user.md -->
    | Parameter | Description | Data type |
    ----- | ----- | -----
    | self | Address of the API resource with information about the user | String |
    | id | User ID. | String |
    | display | Displayed user name | String |
    | passportUid | Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. | Number |
    | cloudUid | Unique user ID in Yandex Cloud Organization | String |
    <!-- endsource: en/_includes/api/user.md -->

    {% endcut %}

- Request failed

    If the request is processed incorrectly, the API returns a response with an error code:

    <!-- source: en/_includes/api/answer-error-404.md -->
    404
    :   The requested object was not found. You may have specified an invalid object ID or key.
    <!-- endsource: en/_includes/api/answer-error-404.md -->

{% endlist %}

## Pagination of comments {#pagination}

For paginated results, use additional parameters in the request string:

```
GET https://api.tracker.yandex.net/v3/issues/<issue_ID>/comments?perPage=<number_of_comments>&id=<comment_ID>
```

where:

* `perPage`: Number of comments per page.

* `id`: Comment's `id` parameter value after which the requested page will begin.

The links to the first and next pages are specified in the **Link** response header.

To learn about paginated results, see also [Common request format](https://yandex.com.tr/support/tracker/en/api-ref/common-format.md#displaying-results).